summaryrefslogtreecommitdiff
path: root/regress/usr.bin
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@cvs.openbsd.org>2012-06-26 12:07:00 +0000
committerDarren Tucker <dtucker@cvs.openbsd.org>2012-06-26 12:07:00 +0000
commit6f0b85e88dc521919ea3deadd32c18ba6f5b36c4 (patch)
tree382ee7479f4a259b327c9ff637985ebcae4e9ffc /regress/usr.bin
parentd2604ec21a13bf5c800c90a1d4ddc39356ee6a2c (diff)
test sandbox with every malloc option
Diffstat (limited to 'regress/usr.bin')
-rw-r--r--regress/usr.bin/ssh/connect-privsep.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/regress/usr.bin/ssh/connect-privsep.sh b/regress/usr.bin/ssh/connect-privsep.sh
index e7f9389816d..48b1bcabd4f 100644
--- a/regress/usr.bin/ssh/connect-privsep.sh
+++ b/regress/usr.bin/ssh/connect-privsep.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: connect-privsep.sh,v 1.2 2011/06/30 22:44:43 markus Exp $
+# $OpenBSD: connect-privsep.sh,v 1.3 2012/06/26 12:06:59 dtucker Exp $
# Placed in the Public Domain.
tid="proxy connect with privsep"
@@ -22,3 +22,16 @@ for p in 1 2; do
fail "ssh privsep/sandbox+proxyconnect protocol $p failed"
fi
done
+
+# Because sandbox is sensitive to changes in libc, especially malloc, retest
+# with every malloc.conf option (and none).
+for m in '' A F G H J P R S X Z '<' '>'; do
+ for p in 1 2; do
+ env MALLOC_OPTIONS="$m" ${SSH} -$p -F $OBJ/ssh_proxy 999.999.999.999 true
+ if [ $? -ne 0 ]; then
+ fail "ssh privsep/sandbox+proxyconnect protocol $p mopt '$m' failed"
+ fi
+ done
+done
+
+exit